# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_unparse_name_flags_ext - Convert krb5_principal structure to string format with flags.

krb5_error_code krb5_unparse_name_flags_ext(krb5_context context, krb5_const_principal principal, int flags, char **name, unsigned int *size)

param

  [in] context - Library context

  [in] principal - Principal

  [in] flags - Flags

  [out] name - Single string format of principal name

  [out] size - Size of unparsed name buffer

retval

  - 0 Success

return

  - Kerberos error codes. On failure name is set to NULL